## GnomeCanvasRichText

GnomeCanvasRichText

## Functions

void | gnome_canvas_rich_text_cut_clipboard ()
void | gnome_canvas_rich_text_copy_clipboard ()
void | gnome_canvas_rich_text_paste_clipboard ()
void | gnome_canvas_rich_text_set_buffer ()
GtkTextBuffer * | gnome_canvas_rich_text_get_buffer ()
void | gnome_canvas_rich_text_get_iter_location ()
void | gnome_canvas_rich_text_get_iter_at_location ()

## Properties

GtkAnchorType | anchor | Read / Write
gboolean | cursor-blink | Read / Write
gboolean | cursor-visible | Read / Write
GtkDirectionType | direction | Read / Write
gboolean | editable | Read / Write
gboolean | grow-height | Read / Write
double | height | Read / Write
int | indent | Read / Write
GtkJustification | justification | Read / Write
int | left-margin | Read / Write
int | pixels-above-lines | Read / Write
int | pixels-below-lines | Read / Write
int | pixels-inside-wrap | Read / Write
int | right-margin | Read / Write
char * | text | Read / Write
gboolean | visible | Read / Write
double | width | Read / Write
GtkWrapMode | wrap-mode | Read / Write
double | x | Read / Write
double | y | Read / Write

## Signals

void | tag-changed | Run Last

## Types and Values

struct | GnomeCanvasRichText

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GnomeCanvasItem
                    ╰── GnomeCanvasRichText

## Includes

    #include <libgnomecanvas/libgnomecanvas.h>

## Description

## Functions

### gnome_canvas_rich_text_cut_clipboard ()

    void
    gnome_canvas_rich_text_cut_clipboard (GnomeCanvasRichText *text);

Copies the currently selected `text` to clipboard, then deletes said text if it's editable.

#### Parameters

text | a GnomeCanvasRichText. |

### gnome_canvas_rich_text_copy_clipboard ()

    void
    gnome_canvas_rich_text_copy_clipboard (GnomeCanvasRichText *text);

Copies the currently selected `text` to clipboard.

#### Parameters

text | a GnomeCanvasRichText. |

### gnome_canvas_rich_text_paste_clipboard ()

    void
    gnome_canvas_rich_text_paste_clipboard
                                   (GnomeCanvasRichText *text);

Pastes the contents of the clipboard at the insertion point.

#### Parameters

text | a GnomeCanvasRichText. |

### gnome_canvas_rich_text_set_buffer ()

    void
    gnome_canvas_rich_text_set_buffer (GnomeCanvasRichText *text,
                                       GtkTextBuffer *buffer);

Sets the buffer field of the `text` to `buffer` .

#### Parameters

text | a GnomeCanvasRichText. |
buffer | a GtkTextBuffer. |

### gnome_canvas_rich_text_get_buffer ()

    GtkTextBuffer *
    gnome_canvas_rich_text_get_buffer (GnomeCanvasRichText *text);

Returns a GtkTextBuffer associated with the GnomeCanvasRichText. This function creates a new GtkTextBuffer if the text buffer is NULL.

#### Parameters

text | a GnomeCanvasRichText. |

#### Returns

the GtkTextBuffer.

### gnome_canvas_rich_text_get_iter_location ()

    void
    gnome_canvas_rich_text_get_iter_location
                                   (GnomeCanvasRichText *text,
                                    const GtkTextIter *iter,
                                    GdkRectangle *location);

Gets a rectangle which roughly contains the character at `iter` .

#### Parameters

text | a GnomeCanvasRichText. |
iter | a GtkTextIter. |
location | a GdkRectangle containing the bounds of the character at `iter` . |

### gnome_canvas_rich_text_get_iter_at_location ()

    void
    gnome_canvas_rich_text_get_iter_at_location
                                   (GnomeCanvasRichText *text,
                                    GtkTextIter *iter,
                                    gint x,
                                    gint y);

Retrieves the iterator at the buffer coordinates x and y.

#### Parameters

text | a GnomeCanvasRichText. |
iter | a GtkTextIter. |
x | x position, in buffer coordinates. |
y | y position, in buffer coordinates. |

## Types and Values

### struct GnomeCanvasRichText

    struct GnomeCanvasRichText;

## Property Details

### The `“anchor”` property

      “anchor”                   GtkAnchorType

Anchor point for text.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: GTK_ANCHOR_NORTH_WEST

### The `“cursor-blink”` property

      “cursor-blink”             gboolean

Does the cursor blink in this rich text item?.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: TRUE

### The `“cursor-visible”` property

      “cursor-visible”           gboolean

Is the cursor visible in this rich text item?.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: TRUE

### The `“direction”` property

      “direction”                GtkDirectionType

Text direction.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: GTK_DIR_TAB_BACKWARD

### The `“editable”` property

      “editable”                 gboolean

Is this rich text item editable?.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: TRUE

### The `“grow-height”` property

      “grow-height”              gboolean

Should the text box height grow if the text does not fit?.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: FALSE

### The `“height”` property

      “height”                   double

Height for text box.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“indent”` property

      “indent”                   int

Number of pixels for indentation.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“justification”` property

      “justification”            GtkJustification

Justification mode.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: GTK_JUSTIFY_LEFT

### The `“left-margin”` property

      “left-margin”              int

Number of pixels in the left margin.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“pixels-above-lines”` property

      “pixels-above-lines”       int

Number of pixels to put above lines.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“pixels-below-lines”` property

      “pixels-below-lines”       int

Number of pixels to put below lines.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“pixels-inside-wrap”` property

      “pixels-inside-wrap”       int

Number of pixels to put inside the wrap.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“right-margin”` property

      “right-margin”             int

Number of pixels in the right margin.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“text”` property

      “text”                     char *

Text to display.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: NULL

### The `“visible”` property

      “visible”                  gboolean

Is this rich text item visible?.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: TRUE

### The `“width”` property

      “width”                    double

Width for text box.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“wrap-mode”` property

      “wrap-mode”                GtkWrapMode

Wrap mode for multiline text.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: GTK_WRAP_WORD

### The `“x”` property

      “x”                        double

X position.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

Y position.

Owner: GnomeCanvasRichText

Flags: Read / Write

Default value: 0

## Signal Details

### The `“tag-changed”` signal

    void
    user_function (GnomeCanvasRichText *canvasrichtext,
                   GObject             *arg1,
                   gpointer             user_data)

Flags: Run Last